Bug 1881527 - opm version in uay.io/openshift/origin-operator-registry:4.6.0 changed behaviour
Summary: opm version in uay.io/openshift/origin-operator-registry:4.6.0 changed beha...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Ankita Thomas
QA Contact: Tom Buskey
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-22 15:28 UTC by Tom Buskey
Modified: 2020-10-23 13:30 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-23 13:30:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-registry pull 485 0 None closed Bug 1881527: fix(opm): properly deprecate export flag '-o' 2020-12-07 22:35:37 UTC

Description Tom Buskey 2020-09-22 15:28:58 UTC
Description of problem:
podman run -it --entrypoint /bin/bash quay.io/openshift/origin-operator-registry:4.6.0
opm index export -i quay.io/olmqe/etcd-index:0.9.2 -f etcd -o etcd # no longer allowed
opm index export -i quay.io/olmqe/etcd-index:0.9.2 etcd # creates etcd/etcd/ directory instead of etcd/

Version-Release number of selected component (if applicable):
container: podman images
quay.io/openshift/origin-operator-registry   4.6.0   8e7989e73bcd   24 hours ago   1.1 GB

Inside container:
opm version
Version: version.Version{OpmVersion:"", GitCommit:"", BuildDate:"2020-09-21T15:33:46Z", GoOs:"linux", GoArch:"amd64"}

How reproducible:
always

Steps to Reproduce:
1. podman run -it --entrypoint /bin/bash quay.io/openshift/origin-operator-registry:4.6.0
2. opm index export -i quay.io/olmqe/etcd-index:0.9.2 -f etcd -o etcd # fails
3. opm index export -i quay.io/olmqe/etcd-index:0.9.2 -f etcd  etcd # succeeds with wrong result


Actual results:
bash-4.4$ ls etcd/
etcd

Expected results:
bash-4.4$ ls etcd/
package.yaml   0.9.2   0.9.4

Additional info:
https://polarion.engineering.redhat.com/polarion/#/project/OSE/workitem?id=OCP-30189

workaround to make existing scripts work
run step 3
mv etcd tmp
mv tmp/etcd ./etcd


Note You need to log in before you can comment on or make changes to this bug.